unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    MainMenu1: TMainMenu;
    Sbor1: TMenuItem;
    Nov1: TMenuItem;
    Otvori1: TMenuItem;
    Uloi1: TMenuItem;
    N1: TMenuItem;
    Koniec1: TMenuItem;
    pravy1: TMenuItem;
    Sp1: TMenuItem;
    N2: TMenuItem;
    Copy1: TMenuItem;
    Cut1: TMenuItem;
    Paste1: TMenuItem;
    N3: TMenuItem;
    SelectAll1: TMenuItem;
    Formt1: TMenuItem;
    Psmo1: TMenuItem;
    Pozadie1: TMenuItem;
    O1: TMenuItem;
    O2: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    ColorDialog1: TColorDialog;
    FontDialog1: TFontDialog;
    procedure Nov1Click(Sender: TObject);
    procedure Otvori1Click(Sender: TObject);
    procedure Uloi1Click(Sender: TObject);
    procedure Koniec1Click(Sender: TObject);
    procedure Sp1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure SelectAll1Click(Sender: TObject);
    procedure Psmo1Click(Sender: TObject);
    procedure Pozadie1Click(Sender: TObject);
    procedure O2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Nov1Click(Sender: TObject);
begin
 Memo1.Clear;
end;

procedure TForm1.Otvori1Click(Sender: TObject);
begin
 if OpenDialog1.Execute then
  Memo1.Lines.LoadFromFile(OpenDialog1.FileName);
end;

procedure TForm1.Uloi1Click(Sender: TObject);
begin
 if SaveDialog1.Execute then
  Memo1.Lines.SaveToFile(SaveDialog1.FileName);
end;

procedure TForm1.Koniec1Click(Sender: TObject);
begin
 Close;
end;

procedure TForm1.Sp1Click(Sender: TObject);
begin
 Memo1.Undo;
end;

procedure TForm1.Copy1Click(Sender: TObject);
begin
 Memo1.CopyToClipboard;
end;

procedure TForm1.Cut1Click(Sender: TObject);
begin
 Memo1.CutToClipboard;
end;

procedure TForm1.Paste1Click(Sender: TObject);
begin
 Memo1.PasteFromClipboard;
end;

procedure TForm1.SelectAll1Click(Sender: TObject);
begin
 Memo1.SelectAll;
end;

procedure TForm1.Psmo1Click(Sender: TObject);
begin
 FontDialog1.Font.Assign(Memo1.Font);
 if FontDialog1.Execute then
  Memo1.Font.Assign(FontDialog1.Font);
end;

procedure TForm1.Pozadie1Click(Sender: TObject);
begin
 ColorDialog1.Color:=Memo1.Color;
 if ColorDialog1.Execute then
  Memo1.Color:=ColorDialog1.Color;
end;

procedure TForm1.O2Click(Sender: TObject);
begin
 ShowMessage('Autorom som ja!!!'+chr(13)+'Vetky prva vyhraden!!!');
end;

end.
